Package org.apache.avro.ipc

# Interface Callback<T>

All Known Implementing Classes:
  `CallFuture`, `Requestor.TransceiverCallback`

public interface Callback<T>
Interface for receiving asynchronous callbacks. For each request with an asynchronous callback, either `handleResult(Object)` or `handleError(Throwable)` will be invoked.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleError(Throwable error)`
Receives an error.
`void`
`handleResult(T result)`
Receives a callback result.

## Method Details

### handleResult

void handleResult(T result)
Receives a callback result.

Parameters:
  `result` - the result returned in the callback.

### handleError

void handleError(Throwable error)
Receives an error.

Parameters:
  `error` - the error returned in the callback.